13.10. Wtap Functions For Handling Capture File Types
Prev | Chapter 13. Wireshark’s Lua API Reference Manual | Next

## 13.10. Wtap Functions For Handling Capture File Types

### 13.10.1. Global Functions

#### 13.10.1.1. wtap_file_type_subtype_description(filetype)

Get a string describing a capture file type, given a filetype value for that file type.

##### Arguments

filetype
  The type for which the description is to be fetched - a number returned by `wtap_name_to_file_type_subtype()`.

##### Returns

The description of the file type with that filetype value, or nil if there is no such file type.

#### 13.10.1.2. wtap_file_type_subtype_name(filetype)

Get a string giving the name for a capture file type, given a filetype value for that file type.

##### Arguments

filetype
  The type for which the name is to be fetched - a number returned by `wtap_name_to_file_type_subtype()`.

##### Returns

The name of the file type with that filetype value, or nil if there is no such file type.

#### 13.10.1.3. wtap_name_to_file_type_subtype(name)

Get a filetype value for a file type, given the name for that file type.

##### Arguments

name
  The name of a file type.

##### Returns

The filetype value for the file type with that name, or nil if there is no such file type.

#### 13.10.1.4. wtap_pcap_file_type_subtype()

Get the filetype value for pcap files.

##### Returns

The filetype value for pcap files.

#### 13.10.1.5. wtap_pcap_nsec_file_type_subtype()

Get the filetype value for nanosecond-resolution pcap files.

##### Returns

The filetype value for nanosecond-resolution pcap files.

#### 13.10.1.6. wtap_pcapng_file_type_subtype()

Get the filetype value for pcapng files.

##### Returns

The filetype value for pcapng files.

Prev | Up | Next
13.9. Saving Capture Files | Home | 13.11. Custom File Format Reading And Writing